#%define libpart .so
#%define selcompiler LINUX32_COMPILER=gcc
#%ifarch x86_64
#%define libpart 64.so
#%define selcompiler LINUX64_COMPILER=gcc
#%endif 

Name:			skype4pidgin
Version:		20101128svn603
Release:		1%{?dist}
Summary:		Skype protocol plugin for Pidgin IM

Group:			Applications/Communications
License:		GPLv3+
URL:			http://eion.robbmob.com/
Source0:		%{name}-%{version}.tar.bz2
Patch0:			%{name}-makefile.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib2-devel libX11-devel gettext
BuildRequires:	libpurple-devel
Requires:		pidgin
Requires:		libpurple

%description
Skype API Plugin for Pidgin/libpurple/Adium

%prep
%setup -q
%patch0 -p0 -b .fix-makefile
chmod 0644 *.c *.h *.m *.nsi icons/*/*.png
chmod 0644 CHANGELOG.txt COPYING.txt Makefile README.txt TODO.txt

%build
make %{?_smp_mflags} LINUX_LIBDIR=%{_libdir} all
make %{?_smp_mflags} LINUX_LIBDIR=%{_libdir} locales


%install
rm -rf %{buildroot}
make LINUX_LIBDIR=%{_libdir} DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt README.txt TODO.txt
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/skype*.png
%{_datadir}/pixmaps/pidgin/emotes/skype/theme

%changelog
* Thu Nov 28 2010 Alexei Panov <elemc@atisserv.ru> - 20101128svn603-1
- Initial build
